Name:           qhaway
Version:        0.9
Release:        1
Packager:       Paul Bernal <paul.bernal@cedia.org.ec>
Summary:        Qhaway is an utomated defacements detection system.

Group:          Applications/Network
License:        WTFPL

URL:            http://www.paulbernal.com/qhaway
Source0:        qhaway-0.9.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      yii-framework >= 1.1.15
Requires:      phantomjs >= 1.9.7
Requires:      mysql-server php-mysql ImageMagick

%description
Qhaway uses a MySQL database (schema provided) to store clients and their sites
to be daily checked via cron. For each registered site qhaway gets a copy of its
html code and a screenshot. Every day performs an analysis comparig today's data
with yesterday's data. If returns a value beyond stablished thresholds, it sends
an alert to the site's administrator. It doesn't require a GUI to do its job.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

# Install bin scripts
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
cp -rp bin/* $RPM_BUILD_ROOT%{_bindir}/
# Install app code
install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}
cp -rp html/* $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/
# Install app config file
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -rp etc/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
# Install httpd config file
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
cp -rp qhaway.conf.httpd $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/qhaway.conf
# Install cron job
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
cp -rp qhaway.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/qhaway

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING dbModelRE.sql
%{_bindir}
%attr(-, apache, apache) %{_localstatedir}/www/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/qhaway.conf
%config(noreplace) %{_sysconfdir}/cron.d/qhaway

%changelog
* Mon Sep 03 2014 Paul Bernal <pbernal@ecualinux.com> - 0.9-1
- Initial RPM Setup
